Lấy nội dung bài viết
curl --request GET \
--url https://api.fireant.vn/posts/{postId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/posts/{postId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/posts/{postId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"postID": 123,
"userName": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"bio": "<string>",
"isAuthentic": true,
"followed": true
},
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"hasSummary": true,
"type": 123,
"newsType": 123,
"videoUrl": "<string>",
"videoThumbnailUrl": "<string>",
"videoWidth": 123,
"videoHeight": 123,
"language": "<string>",
"postGroup": {
"postGroupID": 123,
"name": "<string>",
"description": "<string>"
},
"postSource": {
"postSourceID": 123,
"name": "<string>",
"url": "<string>"
},
"isSourceContentFull": true,
"postSourceUrl": "<string>",
"content": "<string>",
"originalContent": "<string>",
"contentURL": "<string>",
"isAIGenerated": true,
"date": "2023-11-07T05:31:56Z",
"priority": 123,
"hasImage": true,
"hasFile": true,
"link": "<string>",
"linkImage": "<string>",
"linkTitle": "<string>",
"linkDescription": "<string>",
"sentiment": 123,
"approved": true,
"isTop": true,
"isExpertIdea": true,
"liked": true,
"totalLikes": 123,
"totalReplies": 123,
"totalShares": 123,
"replyToPostID": 123,
"referToPostID": 123,
"taggedSymbols": [
{
"symbol": "<string>",
"price": 123,
"change": 123,
"percentChange": 123,
"changeSince": 123,
"percentChangeSince": 123
}
],
"taggedIndividuals": [
{
"individualID": 123,
"name": "<string>"
}
],
"taggedHashTags": [
{
"hashTagID": 123,
"symbol": "<string>",
"name": "<string>"
}
],
"taggedUsers": [
{
"userID": "<string>",
"name": "<string>"
}
],
"images": [
{
"imageID": 123,
"base64Image": "<string>",
"imageUrl": "<string>"
}
],
"files": [
{
"fileID": 123,
"fileName": "<string>",
"fileExtension": "<string>",
"base64Content": "<string>",
"fileContentUrl": "<string>"
}
],
"roomID": 123,
"roomName": "<string>",
"isRoomSticky": true,
"videoType": 123,
"isVideo": true,
"isEmagazine": true,
"isInfographic": true,
"lastRepliedDate": "2023-11-07T05:31:56Z",
"isLivestream": true,
"livestreamStarted": true,
"livestreamEnded": true,
"streamingUrl": "<string>",
"streamingKey": "<string>",
"youtubeStreamingUrl": "<string>",
"youtubeStreamingKey": "<string>",
"facebookStreamingUrl": "<string>",
"facebookStreamingKey": "<string>",
"livestreamAction": true,
"livestreamActionTitle": "<string>",
"livestreamActionUrl": "<string>",
"livestreamActionRoute": "<string>",
"repliesDisabled": true,
"repliesModerationRequired": true,
"pendingApproval": true
}Posts
Lấy nội dung bài viết
GET
/
posts
/
{postId}
Lấy nội dung bài viết
Ủy quyền
OAuth2 Implicit Grant
FlowNgầm định
- Authorization URL
- https://accounts.fireant.vn/connect/authorize
Scopes1
posts-read
Lấy nội dung các bài viết của cộng đồng
Tham số đường dẫn
ID bài viết
Phản hồi
Thành công
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes